import { s as r, c as s, a as e, C as t } from "./chunk-WL4C6EOR-5UEAHDMO.js";
import { _ as l } from "./mermaid.core-CYBWUA0z.js";
import "./transform-QfIdy88w.js";
var m = {
  parser: e,
  get db() {
    return new t();
  },
  renderer: s,
  styles: r,
  init: /* @__PURE__ */ l((a) => {
    a.class || (a.class = {}), a.class.arrowMarkerAbsolute = a.arrowMarkerAbsolute;
  }, "init")
};
export {
  m as diagram
};
